﻿@model Bloggie.Web.Models.ViewModels.RegisterViewModel
@{
}

<div class="container mx-auto">
    <div class="row justify-content-center">
        <div class="col-12 col-lg-6">
            <h1 class="mt-3 mb-3 h3">
                Register 
            </h1>
            <form method="post">

            <div class="mb-3">
                <label class=form-label>Username</label>
                <input type="text" id="username" class="form-control" asp-for="Username" required/> 
                <span class="text-danger" asp-validation-for="Username"></span>
            </div>
            <div class="mb-3">
                <label class=form-label>Email</label>
                <input type="email" id="email" class="form-control" asp-for="Email"  required/>
                    <span class="text-danger" asp-validation-for="Email"></span>
            </div>
            <div class="mb-3">
                <label class=form-label>Password</label>
                <input type="password" id="password" class="form-control" asp-for="Password" required minlenght="6"/>
                    <span class="text-danger" asp-validation-for="Password"></span>
            </div>

            <div class="mb-3">
                <button type="submit" class="btn btn-dark">Register</button>
            </div>
            </form>

        </div>
    </div>

</div>
